Skip to main content
POST
/
toucan
/
tokens
/
transact
/
{tokenRefId}
Creates a cryptogram
curl --request POST \
  --url https://services.sandbox.pagosapi.com/toucan/tokens/transact/{tokenRefId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-merchant-id: <x-merchant-id>'
import requests

url = "https://services.sandbox.pagosapi.com/toucan/tokens/transact/{tokenRefId}"

headers = {
    "x-merchant-id": "<x-merchant-id>",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'x-merchant-id': '<x-merchant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://services.sandbox.pagosapi.com/toucan/tokens/transact/{tokenRefId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "cryptogram": "<string>",
  "token": "<string>",
  "eci": "<string>",
  "metadata": "<string>",
  "expirationDate": {
    "year": "<string>",
    "month": "<string>"
  }
}
{
  "code": 123,
  "requestId": "<string>",
  "errorDetails": {
    "reason": "<string>",
    "message": "<string>",
    "details": [
      {
        "location": "<string>",
        "message": "<string>"
      }
    ]
  }
}
{
  "code": 123,
  "requestId": "<string>",
  "errorDetails": {
    "reason": "<string>",
    "message": "<string>",
    "details": [
      {
        "location": "<string>",
        "message": "<string>"
      }
    ]
  }
}
{
  "code": 123,
  "requestId": "<string>",
  "errorDetails": {
    "reason": "<string>",
    "message": "<string>",
    "details": [
      {
        "location": "<string>",
        "message": "<string>"
      }
    ]
  }
}
{
  "code": 123,
  "requestId": "<string>",
  "errorDetails": {
    "reason": "<string>",
    "message": "<string>",
    "details": [
      {
        "location": "<string>",
        "message": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Format is: Bearer <api_key>, where <api_key> is your Pagos API key

Headers

x-merchant-id
string
required

Merchant identifier for requests.

Path Parameters

tokenRefId
string | null
required

Response

Cryptogram created

cryptogram
string
token
string
eci
string | null
metadata
string
expirationDate
object